import nl.tue.id.creapro.admoveo.*;
import processing.serial.*;
import controlP5.*;

ControlP5 controlP5;
AdMoVeo admoveo;
Slider leftLight;
Slider rightLight;
Slider leftDistance;
Slider rightDistance;
Slider leftSound;
Slider rightSound;

color c = color(0,0,0);
int a = 0;

void setup() {
  size(400, 800);
  admoveo = new AdMoVeo(this, "COM6");  
  controlP5 = new ControlP5(this);
  admoveo.getLeftLightSensor().enable();
  admoveo.getRightLightSensor().enable();
  admoveo.getLeftDistanceSensor().enable();
  admoveo.getRightDistanceSensor().enable();
  admoveo.getLeftSoundSensor().enable();
  admoveo.getRightSoundSensor().enable();
  controlP5.addBang("red", 10, 10, 40, 20 );
  controlP5.addBang("green", 10, 50, 40, 20);
  controlP5.addBang("blue", 10, 90, 40, 20 );
  controlP5.addBang("dark", 160, 90, 40, 20);
  controlP5.addBang("buzzer",160, 10, 40, 20);
  controlP5.addBang("stopbuzzer", 160, 50, 40, 20);
  controlP5.addBang("leftMotor",10,130,40,20);
  controlP5.addBang("stopleftMotor",60,130,40,20);
  controlP5.addBang("rightMotor",10,170,40,20);
  controlP5.addBang("stoprightMotor",60,170,40,20);
  leftLight = controlP5.addSlider("LeftLight",0,255,10,210,200,15);
  rightLight = controlP5.addSlider("RightLight",0,255,10,250,200,15);
  leftDistance = controlP5.addSlider("LeftDistance",0,255,10,290,200,15);
  rightDistance = controlP5.addSlider("RightDistance",0,255,10,330,200,15);
  leftSound = controlP5.addSlider("LeftSound",0,255,10,370,200,15);
  rightSound = controlP5.addSlider("RightSound",0,255,10,410,200,15);
  
}

void draw() {
  background(c);

}

void red() {
   c = color(255,0,0);
   admoveo.getRedLed().setPower(255);   
   admoveo.getGreenLed().setPower(0);
   admoveo.getBlueLed().setPower(0);
}

void green() {
  c = color(0,255,0);
   admoveo.getRedLed().setPower(0);   
   admoveo.getGreenLed().setPower(255);
   admoveo.getBlueLed().setPower(0);
}

void blue(){
  c = color(0,0,255);
   admoveo.getRedLed().setPower(0);   
   admoveo.getGreenLed().setPower(0);
   admoveo.getBlueLed().setPower(255); 
}

void dark(){
  c=color(0,0,0);
  admoveo.getRedLed().setPower(0);   
   admoveo.getGreenLed().setPower(0);
   admoveo.getBlueLed().setPower(0); 
}

void buzzer(){
  admoveo.getBuzzer().setPower(250);
}

void stopbuzzer(){
  admoveo.getBuzzer().setPower(0);
}

void leftMotor() {
  admoveo.getLeftMotor().setPower(255);
}

void stopleftMotor() {
  admoveo.getLeftMotor().setPower(0);
}

void rightMotor() {
  admoveo.getRightMotor().setPower(255);
}

void stoprightMotor() {
  admoveo.getRightMotor().setPower(0);
}


void LeftLight(int value) {
  a=value;
}

void RightLight(int value) {
  a=value;
} 
  
void LeftDistance(int value) {
  a=value;
}

void RightDistance(int value) {
  a=value;
}

void LeftSound(int value) {
  a=value;
}

void RightSound(int value) {
  a=value;
}

void inputAvailable(Sensor sensor, int oldValue, int newValue){
  a = newValue/4;
  if(sensor == admoveo.getLeftLightSensor()){
leftLight.setValue(a);
  }
  if(sensor == admoveo.getRightLightSensor()){
rightLight.setValue(a);
 }
 if(sensor == admoveo.getLeftDistanceSensor()){
   leftDistance.setValue(a);
 }
 if(sensor == admoveo.getRightDistanceSensor()){
   rightDistance.setValue(a);
 }
 if(sensor == admoveo.getLeftSoundSensor()){
   leftSound.setValue(a);
 }
 if(sensor == admoveo.getRightSoundSensor()){
   rightSound.setValue(a);
 }
}
